// Official ESS colors from visual identity document
export const essColors = {
  cyan: '#0099dc',
  purple: '#821382',
  orange: '#ff7d00',
  forest: '#006646',
  grass: '#99be00',
  navy: '#003366',
  black: '#000000',
  white: '#ffffff',
};

// Only opaque ESS colors
const { white, ...essOpaqueColors } = essColors;
export { essOpaqueColors };

// Contrasting colors used for charts and graphs
export const chartColors = {
  blue: 'rgba(66, 165, 245, 1)',
  orange: 'rgba(245, 132, 66, 1)',
  lime: 'rgba(245, 221, 66, 1)',
  purple: 'rgba(194, 66, 245, 1)',
  green: 'rgba(100, 242, 75, 1)',
  salmon: 'rgba(242, 75, 100, 1)',
  teal: 'rgba(75, 242, 192, 1)',
  gray: 'rgba(161, 168, 167, 1)',
  black: 'rgba(37, 38, 38, 1)',
  pink: 'rgba(242, 162, 172, 1)',
  lightgreen: 'rgba(172, 242, 162, 1)',
  seafoam: 'rgba(162, 242, 222, 1)'
};