import React from 'react';
import { IOCDetailsView } from "./IOCDetailsView";
import { LinearProgress } from '@material-ui/core';
import { useIOC } from "../../api/SwaggerApi";

export function IOCDetailsContainer({ id }) {
    console.log(id);
    const [ioc, getIOC, /*reset*/, loading] = useIOC(id);
  
    return (
      <>
        {ioc ?
          <IOCDetailsView ioc={ioc} getIOC={getIOC} loading={loading}/>
          :
          <LinearProgress color="primary" />
        }
      </>
    );
  }